﻿// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

using OpcLabs.EasyOpc.DataAccess;
using System;
using OpcLabs.EasyOpc.DataAccess.Extensions;

// ReSharper disable ArrangeModifiersOrder
// ReSharper disable InconsistentNaming

namespace WebApplication1
{
    public partial class _Default : System.Web.UI.Page
    {
        static _Default()
        {
            // Enable auto-subscribing optimization (not necessary), which can improve performance with repeated Read requests.
            Client.TryEnableAutoSubscribingOptimization();
        }

        // Use a shared client instance to allow for better optimization.
        static private readonly EasyDAClient Client = new EasyDAClient();

        protected void Page_Load(object sender, EventArgs e)
        {
            object value = Client.ReadItemValue("", "OPCLabs.KitServer.2", "Demo.Single");
            TextBox1.Text = (value == null) ? "" : value.ToString();
        }
    }
}
